Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 611251 - Slow Reboot on Fedora 13
Slow Reboot on Fedora 13
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 09:39 EDT by Michael Tughan
Modified: 2011-06-27 15:24 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Smolt Profile (7.73 KB, text/plain)
2010-07-04 09:39 EDT, Michael Tughan
no flags Details

  None (edit)
Description Michael Tughan 2010-07-04 09:39:26 EDT
Created attachment 429370 [details]
Smolt Profile

Description of problem:
When rebooting, it seems to take a long time to return back to the BIOS. The shutdown takes a lot less time. The steps I see it go through on reboot:

1) Desktop disappears, splash screen appears with "Restarting..." in the top-left corner
2) Splash stays up for about 15 seconds, then the screen turns off
3) Screen turns back on after about half a second, with a black screen with a non-flashing text cursor in the top-left corner.
4) After around 17 seconds of black, the screen turns off again, and then the BIOS splash appears.

The shutdown routine also goes through the black screen, but is typically around 3 seconds in all.

From my experience, the problem would seem to be in the kernel, but there's no messages logged during the period with the black screen, so nothing to work off of there.

Fedora has all its packages updated from the stable repos as of July 4, 2010

How reproducible:
Always.

Steps to Reproduce:
1. Go to System->Shutdown, and click Restart.
2. Wait for splash to disappear.
3. Wait some more for the black screen to disappear.
  
Actual results:
Reboot takes around 30-35 seconds total, while shutdown is about half that time. Startup is much quicker, at around 8-10 seconds.

Expected results:
Reboot should take around the same time as shutdown to get to the BIOS. Right now, I can do a clean shutdown from the GNOME menu, wait for it to shutdown, manually press the power button to restart, and save myself around 10 seconds.

Additional info:
Smolt profile attached. No kernel messages to attach because no messages are logged during the problem time.
Comment 1 Bug Zapper 2011-06-01 10:48:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 15:24:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.